
From: Andrew Morton <akpm@osdl.org>

This seems to be due to a bunfight between git-scsi-misc and
gregkh-driver-driver-device_attr-08.

Cc: James Bottomley <James.Bottomley@steeleye.com>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/fusion/mptscsih.c |    4 ++--
 drivers/message/fusion/mptscsih.h |    4 +++-
 2 files changed, 5 insertions(+), 3 deletions(-)

diff -puN drivers/message/fusion/mptscsih.c~git-scsi-misc-build-fix drivers/message/fusion/mptscsih.c
--- 25/drivers/message/fusion/mptscsih.c~git-scsi-misc-build-fix	2005-05-23 22:25:10.000000000 -0700
+++ 25-akpm/drivers/message/fusion/mptscsih.c	2005-05-23 22:25:10.000000000 -0700
@@ -2351,8 +2351,8 @@ slave_configure_exit:
 	return 0;
 }
 
-static ssize_t
-mptscsih_store_queue_depth(struct device *dev, struct device_attribute *attr, const char *buf, size_t count)
+ssize_t mptscsih_store_queue_depth(struct device *dev,
+		struct device_attribute *attr, const char *buf, size_t count)
 {
 	int			 depth;
 	struct scsi_device	*sdev = to_scsi_device(dev);
diff -puN drivers/message/fusion/mptscsih.h~git-scsi-misc-build-fix drivers/message/fusion/mptscsih.h
--- 25/drivers/message/fusion/mptscsih.h~git-scsi-misc-build-fix	2005-05-23 22:25:10.000000000 -0700
+++ 25-akpm/drivers/message/fusion/mptscsih.h	2005-05-23 22:25:10.000000000 -0700
@@ -103,5 +103,7 @@ extern int mptscsih_taskmgmt_complete(MP
 extern int mptscsih_scandv_complete(MPT_ADAPTER *ioc, MPT_FRAME_HDR *mf, MPT_FRAME_HDR *r);
 extern int mptscsih_event_process(MPT_ADAPTER *ioc, EventNotificationReply_t *pEvReply);
 extern int mptscsih_ioc_reset(MPT_ADAPTER *ioc, int post_reset);
-extern ssize_t mptscsih_store_queue_depth(struct device *dev, const char *buf, size_t count);
 extern void mptscsih_timer_expired(unsigned long data);
+extern ssize_t mptscsih_store_queue_depth(struct device *dev,
+		struct device_attribute *attr, const char *buf, size_t count);
+
_
